
import re
import sys,os
import pandas as pd

class MedicalProduct():

    def __init__(self):
        self.file_path = os.path.join(os.path.dirname(__file__),"医疗产品关键词.xlsx")
        df = pd.read_excel(self.file_path)
        self.list_medical_keyword = [str(a) for a in df["product_name"].tolist()]
        self.legal_keyword = []
        for _keyword in self.list_medical_keyword:
            try:
                if re.compile(_keyword):
                    self.legal_keyword.append(_keyword)
            except:
                pass
        print("|".join(self.legal_keyword))
        self.medical_pattern = re.compile("|".join(self.legal_keyword))

    def is_medical_product(self,content):
        if self.medical_pattern.search(content):
            return True
        else:
            return False



if __name__ == '__main__':
    MP = MedicalProduct()
    print(MP.is_medical_product("0.211ml离心管"))